Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ImR_Iterator Class Reference

The Iterator for servers in the ImR. More...

`#include <Iterator.h>`

Inheritance diagram for ImR_Iterator:

[legend]
Collaboration diagram for ImR_Iterator:

[legend]
List of all members.

## Public Methods
| ImR_Iterator (Server_Repository::HASH_IMR_ITER *iterator, PortableServer::POA_ptr poa)
| Constructor Ownership of iterator is transfered to this class (we'll delete it). More...
| ~ImR_Iterator ()
| Destructor. More...
virtual CORBA::Boolean | next_n (CORBA::ULong how_many, ImplementationRepository::ServerInformationList_out server_list ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
| Returns the next list of up to <how_many> servers. If empty, will return false. More...
virtual void | destroy (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
| Destroys the iterator. More...
## Private Attributes
Server_Repository::HASH_IMR_ITER * | iterator_
| Our very own iterator for transversing the server repository. More...
PortableServer::POA_var | poa_
| Our lovely POA. More...

## Detailed Description

The Iterator for servers in the ImR.

## Constructor & Destructor Documentation

ImR_Iterator::ImR_Iterator | ( | Server_Repository::HASH_IMR_ITER * | iterator,
|  | PortableServer::POA_ptr | poa
| ) |

| Constructor Ownership of iterator is transfered to this class (we'll delete it).

ImR_Iterator::~ImR_Iterator | ( |  | ) |

| Destructor.

## Member Function Documentation

void ImR_Iterator::destroy | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Destroys the iterator. Reimplemented from POA_ImplementationRepository::ServerInformationIterator.

CORBA::Boolean ImR_Iterator::next_n | ( | CORBA::ULong | how_many,
|  | ImplementationRepository::ServerInformationList_out server_list | ACE_ENV_ARG_DECL
| ) | throw (CORBA::SystemException)`[virtual]`

| Returns the next list of up to <how_many> servers. If empty, will return false. Reimplemented from POA_ImplementationRepository::ServerInformationIterator.

## Member Data Documentation

Server_Repository::HASH_IMR_ITER* ImR_Iterator::iterator_`[private]`

| Our very own iterator for transversing the server repository.

PortableServer::POA_var ImR_Iterator::poa_`[private]`

| Our lovely POA.

The documentation for this class was generated from the following files:

- Iterator.h
- Iterator.cpp